------------------------------------------------------------------------------------------
-- Command file
-- Written by Homeopatix
-- 7 january 2021
------------------------------------------------------------------------------------------
FoodAndDrinksCommand = Turbine.ShellCommand();
------------------------------------------------------------------------------------------
-- commands
------------------------------------------------------------------------------------------
function FoodAndDrinksCommand:Execute( command, arguments )
	local args3, value3, value4 = arguments:match "(repos) (.*) (.*)";
	------------------------------------------------------------------------------------------
	-- Help command--
	------------------------------------------------------------------------------------------
	if ( arguments == "help" ) then
		commandsHelp();
	elseif ( arguments == "show" ) then
		Turbine.Shell.WriteLine(rgb["start"] .. pluginName .. rgb["clear"] .. " - " .. Strings.PluginWindowShow);
		FoodAndDrinks:SetVisible(true);
		settings["isWindowVisible"]["isWindowVisible"] = true;
		SaveSettings();
	elseif ( arguments == "hide" ) then
		Turbine.Shell.WriteLine(rgb["start"] .. pluginName .. rgb["clear"] .. " - " ..Strings.PluginWindowHide);
		FoodAndDrinks:SetVisible(false);
		settings["isWindowVisible"]["isWindowVisible"] = false;
		SaveSettings();
------------------------------------------------------------------------------------------
-- toggle command--
------------------------------------------------------------------------------------------
	elseif ( arguments == "toggle" ) then
		if(settings["isWindowVisible"]["isWindowVisible"] == true)then
			Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. " - " .. Strings.PluginWindowHide);
			FoodAndDrinks:SetVisible(false);
			settings["isWindowVisible"]["isWindowVisible"] = false;
		else
			Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. " - " .. Strings.PluginWindowShow);
			FoodAndDrinks:SetVisible(true);
			settings["isWindowVisible"]["isWindowVisible"] = true;
		end
		SaveSettings();
	elseif ( arguments == "lock" ) then
		--Turbine.Shell.WriteLine("Hide the PopoHelper Window");
		if(settings.isLocked == false)then
			settings.isLocked = true;
			Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. " : " .. Strings.PluginLocked);
		else
			settings.isLocked = false;
			Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. " : " .. Strings.PluginUnlocked);
		end
		SaveSettings();
	elseif ( arguments == "options" ) then
		Turbine.Shell.WriteLine("Display the options Window");
		OptionsWindow:SetVisible(true);
		FoodAndDrinks:SetVisible(false);
		settings["isWindowVisible"]["isWindowVisible"] = false;
		settings["isOptionsWindowVisible"]["isOptionsWindowVisible"] = true;
		SaveSettings();
	elseif ( arguments == "clear" ) then
		Turbine.Shell.WriteLine(rgb["start"] .. pluginName .. rgb["clear"] .. " - " ..Strings.PluginWindowClear);
		ClearWindow();
		SaveSettings();
	elseif ( arguments == "esc" ) then
		if(settings["escEnable"]["escEnable"] == true) then
			Turbine.Shell.WriteLine(rgb["start"] .. pluginName .. rgb["clear"] .. " - " ..Strings.PluginEscDesable);
			settings["escEnable"]["escEnable"] = false;
		else
			Turbine.Shell.WriteLine(rgb["start"] .. pluginName .. rgb["clear"] .. " - " ..Strings.PluginEscEnable);
			settings["escEnable"]["escEnable"] = true;
		end
		SaveSettings();
------------------------------------------------------------------------------------------
-- reposition command --
------------------------------------------------------------------------------------------
	elseif ( arguments == "repos" ) then
			Write(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. " : " .. Strings.PluginPosition .. " X: " .. settings["IconPosition"]["xPosIcon"]);
			Write(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. " : " .. Strings.PluginPosition .. " Y: " .. settings["IconPosition"]["yPosIcon"]);
	elseif ( args3 == "repos" ) then
		Write(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. " : " .. Strings.PluginResize .. " " .. value3 .. "x" .. value4);
		settings["IconPosition"]["xPosIcon"] = value3;
		settings["IconPosition"]["yPosIcon"] = value4;
		SaveSettings();
		Write(Strings.PluginUnload .. Strings.PluginName);
		Write(Strings.PluginReload .. Strings.PluginName);
------------------------------------------------------------------------------------------
-- alt command--
------------------------------------------------------------------------------------------
	elseif ( arguments == "alt" ) then
		if(settings["altEnable"]["altEnable"] == true) then
			Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. " - " .. Strings.PluginAltDesable);
			settings["altEnable"]["altEnable"] = false;
		else
			Turbine.Shell.WriteLine(rgb["start"] .. Strings.PluginName .. rgb["clear"] .. " - " .. Strings.PluginAltEnable);
			settings["altEnable"]["altEnable"] = true;
		end
		SaveSettings();
	end
end
------------------------------------------------------------------------------------------
-- Add the sahell command --
------------------------------------------------------------------------------------------
Turbine.Shell.AddCommand( "Fo;FoodAndDrinks", FoodAndDrinksCommand );